English Amiga Board


Go Back   English Amiga Board > Support > support.OtherUAE

 
 
Thread Tools
Old 10 June 2010, 12:31   #41
Yan
 
Posts: n/a
Quote:
Originally Posted by GnoStiC View Post
@yan: make sure you've the latest PUAE
I have the 2.1.0 version from 18 May 2010.. is this the latest public version for MacOSX? Thanks.
 
Old 10 June 2010, 12:34   #42
Toni Wilen
WinUAE developer
 
Join Date: Aug 2001
Location: Hämeenlinna/Finland
Age: 44
Posts: 23,362
Quote:
Originally Posted by Yan View Post
Hi, the PUAE for Mac doesn't work with my hardfile and config. It works with classic E-UAE, though.
Blocksize set to zero can cause this. Include harddrive part of config file.

Quote:
Originally Posted by Pyromania View Post
PUAE for Mac OS X did not work for me. It can't find a config file and WinUAE config files don't work with it.
I am quite sure I am not the only one who hates and/or ignores "don't work" bug reports
Toni Wilen is online now  
Old 10 June 2010, 12:57   #43
GnoStiC
PUAE maintainer
GnoStiC's Avatar
 
Join Date: Feb 2010
Location: fort lauderdale
Posts: 195
@all:
i don't have a mac, so i can't help you guys with macosX binaries. xaind was compiling and posting them to zone but i guess he's busy so he can't..

@yan:
latest PUAE version is 2.2.0, you are using 2.1.0 which had hardfile bugs..

@pyromania:
what Toni said..
________
volcano classic

Last edited by GnoStiC; 20 January 2011 at 12:19.
GnoStiC is offline  
Old 10 June 2010, 22:19   #44
Hungry Horace
Wipe-Out Enthusiast

Hungry Horace's Avatar
 
Join Date: Nov 2005
Location: .
Age: 38
Posts: 2,488
would it not be wise to lock this thread, and link to the PUAE 2.2.0 thread?

still waiting for the latest fixes on OSX myself (my own system is clearly not set-up for compiling it, and I hate to waste the guys time trying to sort that out)
Hungry Horace is offline  
Old 11 June 2010, 10:10   #45
Pyromania
Moderator

Pyromania's Avatar
 
Join Date: Jan 2002
Location: Chicago, IL
Posts: 2,169
Error message if you want to call it that.

"PUAE: Open Configuration File"

Every file is ghosted and can't be open.


Maybe someone can just Zone me a config file that works with PUAE?
Pyromania is offline  
Old 11 June 2010, 11:37   #46
GnoStiC
PUAE maintainer
GnoStiC's Avatar
 
Join Date: Feb 2010
Location: fort lauderdale
Posts: 195
that's macos releated issue, something i can't help you with..

(i don't have a mac, i don't know about macs..)

Quote:
Originally Posted by Pyromania View Post
Error message if you want to call it that.
"PUAE: Open Configuration File"

Every file is ghosted and can't be open.

Maybe someone can just Zone me a config file that works with PUAE?
________
KH100

Last edited by GnoStiC; 20 January 2011 at 12:19.
GnoStiC is offline  
Old 12 June 2010, 04:27   #47
Pyromania
Moderator

Pyromania's Avatar
 
Join Date: Jan 2002
Location: Chicago, IL
Posts: 2,169
Quote:
Originally Posted by GnoStiC View Post
that's macos releated issue, something i can't help you with..

(i don't have a mac, i don't know about macs..)

I don't think the config file has to be from the Mac version.
Pyromania is offline  
Old 12 June 2010, 06:18   #48
GnoStiC
PUAE maintainer
GnoStiC's Avatar
 
Join Date: Feb 2010
Location: fort lauderdale
Posts: 195
my development .uaerc;

Code:
cpu_type=68020
chipset=aga
#cpu_type=68000
#chipset=ocs
collision_level=playfields
chipmem_size=4
bogomem_size=0
fastmem_size=4
#kickstart_rom_file=/home/gnostic/amiga/kick.rom
kickstart_rom_file=/home/gnostic/amiga/KickRoms/KICK-3.1(40.10).ROM
hardfile2=rw,DH0:/home/gnostic/amiga/System.hdf,32,1,2,512,-10,
filesystem2=rw,DH1:Stuff:/home/gnostic/amiga/harddisk,-10
sdl.use_gl=true
floppy0sound=-1
show_leds=true
________
buy volcano vaporizer

Last edited by GnoStiC; 20 January 2011 at 12:19.
GnoStiC is offline  
Old 07 July 2010, 11:40   #49
xaind
Registered User
 
Join Date: Apr 2006
Location: Sydney / Australia
Posts: 99
New build of PUAE for Mac OS X is up in the zone. It is based on GnoStiC's most recent commit (8510c21, July 1st 2010) at the time of this post.

The ReadMe file should explain how to get started with it.
xaind is offline  
Old 07 July 2010, 11:45   #50
GnoStiC
PUAE maintainer
GnoStiC's Avatar
 
Join Date: Feb 2010
Location: fort lauderdale
Posts: 195
@xaind: thanks

btw, i'll push 2.2.1 later today..
________
buy vaporizers

Last edited by GnoStiC; 20 January 2011 at 12:19.
GnoStiC is offline  
Old 25 July 2010, 23:07   #51
nexusle
Banned
 
Join Date: Jul 2010
Location: Earth
Age: 41
Posts: 500
Quote:
Originally Posted by xaind View Post
New build of PUAE for Mac OS X is up in the zone. It is based on GnoStiC's most recent commit (8510c21, July 1st 2010) at the time of this post.

The ReadMe file should explain how to get started with it.
Hi @xaind

I tested your build 2.1.0 for Mac OS X (18.05.) and have some issues:

1. Picasso96 doesn't work for me (also not in E-UAE, problem with snow leopard?)

2. is there no SCSI support in your build?

3. how to get drive sound working with your build?

4. and the importent: who to get new builds??

thanks for answering
nexusle is offline  
Old 26 July 2010, 10:13   #52
xaind
Registered User
 
Join Date: Apr 2006
Location: Sydney / Australia
Posts: 99
@nexusle:

Quote:
1. Picasso96 doesn't work for me (also not in E-UAE, problem with snow leopard?)
It definitely works in E-UAE under Snow Leopard.

I haven't really been trying any P96 configs with PUAE... Just tried Classic WB 'P96' now and it isn't working...

@GnoStiC: Does it work for you in Linux? (I've attached my config file and a screenshot of an error that appears during bootup of ClassWB P96.)

Quote:
2. is there no SCSI support in your build?
I'm compiling with '--enable-scsi' but I don't use that feature myself. Hopefully a Linux user can chime in here and let us know if it works in PUAE for Linux. If you aren't able to get it working with the latest build, post a description of the problem here, along with a copy of your config file and the PUAE log file (i.e. ~/Library/Logs/PUAE.log)

Quote:
3. how to get drive sound working with your build?
Make sure the 'uae_data' folder that came with PUAE is in the same place as the PUAE application.

(If your build of PUAE didn't come with a uae_data folder, grab the most recent one.)

Quote:
4. and the importent: who to get new builds??
The latest one is still in the zone. I think Hungry Horace is hosting builds somewhere, but I don't remember the link right now.
Attached Thumbnails
Click image for larger version

Name:	Screenshot.png
Views:	236
Size:	35.9 KB
ID:	25947  
Attached Files
File Type: txt ClassicWB_P96.uaerc.txt (262 Bytes, 165 views)

Last edited by xaind; 26 July 2010 at 10:14. Reason: Config file didn't attach
xaind is offline  
Old 26 July 2010, 16:08   #53
GnoStiC
PUAE maintainer
GnoStiC's Avatar
 
Join Date: Feb 2010
Location: fort lauderdale
Posts: 195
Quote:
Originally Posted by xaind View Post
@GnoStiC: Does it work for you in Linux? (I've attached my config file and a screenshot of an error that appears during bootup of ClassWB P96.)
it works for me but then again i have puae 2.3.0 *evil grin*

Quote:
Originally Posted by xaind View Post
The latest one is still in the zone. I think Hungry Horace is hosting builds somewhere, but I don't remember the link right now.
http://www.ultimateamiga.co.uk/index.php/page,13.html
________
VFR800

Last edited by GnoStiC; 20 January 2011 at 12:20.
GnoStiC is offline  
Old 26 July 2010, 21:17   #54
nexusle
Banned
 
Join Date: Jul 2010
Location: Earth
Age: 41
Posts: 500
Hi @xaind, @GnoStiC

Quote:
Originally Posted by xaind View Post
@nexusle:
It definitely works in E-UAE under Snow Leopard.

I haven't really been trying any P96 configs with PUAE... Just tried Classic WB 'P96' now and it isn't working...
I get the same error message as you on both emulators in AmigaOS 3.1(have the latest E-UAE (compiled under 10.4.x before much moons ))

Quote:
Make sure the 'uae_data' folder that came with PUAE is in the same place as the PUAE application.

(If your build of PUAE didn't come with a uae_data folder, grab the most recent one.)
Have this folder in the exe path. what config option I must set?



The latest one is still in the zone. I think Hungry Horace is hosting builds somewhere, but I don't remember the link right now.[/QUOTE]

Have version 2.1.0 from the source GnoStiC has posted. Is this the latest?
nexusle is offline  
Old 26 July 2010, 21:30   #55
nexusle
Banned
 
Join Date: Jul 2010
Location: Earth
Age: 41
Posts: 500
Now I have found the Config entry on your attached config file @xaind. thanks

SCSI emulation works definitly not with my build, because I get no CD32 boot screen with PUAE but with E-UAE with the same config. Is it possible, that the SCSI emulation config option is not needed for compiling, but the cd32 option is missing?

In Mac OS X there is "cdrecord" needed to build successful with SCSI support, I think. In E-UAE it is.
nexusle is offline  
Old 27 July 2010, 07:26   #56
xaind
Registered User
 
Join Date: Apr 2006
Location: Sydney / Australia
Posts: 99
Quote:
Originally Posted by nexusle View Post
I get the same error message as you on both emulators in AmigaOS 3.1(have the latest E-UAE (compiled under 10.4.x before much moons ))
For E-UAE: Have a look at the config file in my previous message. I'm using it with E-UAE and Picasso96 modes work.

Sounds like there are some P96 fixes to come in a future source push from GnoStiC. Hopefully that will fix it for us in PUAE.

Quote:
Have version 2.1.0 from the source GnoStiC has posted. Is this the latest?
No, the version in the zone is more recent.

Quote:
Originally Posted by nexusle View Post
SCSI emulation works definitly not with my build, because I get no CD32 boot screen with PUAE but with E-UAE with the same config. Is it possible, that the SCSI emulation config option is not needed for compiling, but the cd32 option is missing?

In Mac OS X there is "cdrecord" needed to build successful with SCSI support, I think. In E-UAE it is.
Yes, you're right.. I'm not getting SCSI support built in because I don't have the SCSI support files from cdrtools. The latest sources won't build for me though.. do you have a copy that builds in Mac OS X?

Last edited by xaind; 27 July 2010 at 07:27. Reason: Clarification
xaind is offline  
Old 27 July 2010, 13:38   #57
nexusle
Banned
 
Join Date: Jul 2010
Location: Earth
Age: 41
Posts: 500
Quote:
Originally Posted by xaind View Post
For E-UAE: Have a look at the config file in my previous message. I'm using it with E-UAE and Picasso96 modes work.
Yes, your'e right! E-UAE works for me also with Picasso96 modes. I only has to delete the old sdl.framework in E-UAE and replace it with a newer one.

Quote:
Sounds like there are some P96 fixes to come in a future source push from GnoStiC. Hopefully that will fix it for us in PUAE.
I hope so.


Quote:
No, the version in the zone is more recent.
How to find these newer version? What's the "zone"?


Quote:
Yes, you're right.. I'm not getting SCSI support built in because I don't have the SCSI support files from cdrtools. The latest sources won't build for me though.. do you have a copy that builds in Mac OS X?
No, I haven't any sources that build on newer versions of OS X, but you can download my latest Build of E-UAE with SCSI support from http://web.mac.com/nexusle/E-UAE/E-UAE.html
nexusle is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
Real Unity: Directory Opus Magellan II for all Amiga and Amiga-like systems. spoUP News 0 19 March 2012 03:09
Cannot emulator joystick on keyboard with E-UAE or PUAE goldenegg support.OtherUAE 2 03 February 2011 03:52
amiga ppc systems amicrawler Amiga scene 6 29 June 2010 16:14
Acube systems announces the availability os Amiga OS 4.0 Ultron News 16 27 April 2007 15:18
Amiga Screenshots..and other systems too Unregistered Amiga websites reviews 4 02 August 2001 22:39

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 13:05.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.
Page generated in 0.09029 seconds with 14 queries